// animation_ball.sce                                   /

// moving around a circle. Demonstrates the use of      /
// the pixmap - show_pixmap() pair of commands,         /
// and the use of xfarcs() in drawing                   /

clear,clc;

steps = 250;                            // # of animation steps
r1 = 0.5;                               // Pie size
r2 = 0.5;                               // Loop size
f = gcf();                              // Figure handle

drawlater();                            // Create before display
for i=1:steps
clf(); 
                                        // Erase pie after each step
plot2d (%nan,%nan,frameflag=3,..        // Define figure
rect=[-2,-2,2,2],axesflag=1)
xtitle('MOVING PIE');
theta1 = i*2*%pi/steps;
theta2 = i*10*%pi/steps;
c = [cos(theta1)+r2*cos(theta2),..      // Define pie..
sin(theta1)+r2*sin(theta2)];            // position
xfarcs([c(1)-r1, c(2)+r1, 2*r1,...      // Plot pie,..
2*r1, 0, 360*48]', 2);
// color=2
f.background = color('grey');
drawnow();                              // Display created graphics
end
f.pixmap = 'off';                       // Exit pixmap mode
