// control_eng.sce                          /
// Plot Bode, Nyquist, Nichols & Black's,   /
// and Evans for defined equations          /

clear,clc,clf;
// Definition of systems:
//-------------------------------
s = poly(0,'s'); // Polynomial seed
Gain1 = syslin('c',(s^2+20*s+100)/(s^2+6*s+100));
Gain2 = Gain1*syslin('c',(s^2+3*s+220)/(s^2+25*s+225));
Gain3 = poly(-5,'s')/poly([0,0,2000,200,25,1],'s','c');
Gain4 = syslin('c',352*Gain3);
// Bode plot:
//---------------
subplot(221)
gainplot([Gain2;Gain1],0.01,100) // Magnitude plot
// Nyquist plot:
//-------------------
subplot(222)
nyquist([Gain2;Gain1]) // Plot with Re and Im axes
// Nichols chart (Black's diagram + iso-plots):
//-------------------------------------------------------------
subplot(223)
black([Gain2;Gain1],0.01,100,[‘Gain2';‘Gain1'])
chart([-8 -6 -4],[20 50 80],list(1,0,5))
// Evans root locus:
//-------------------------
subplot(224)
evans(Gain4,100) // Evans root locus for sys4
