// create_sectors.sce                               /
// Plots four colored sectors in predifined         /
// directions and with predifined widths            /

clear,clc,clf;

// The plot2d() function defines the figure, /
// xfarcs() adds colored sectors to the plot /

function create_sectors(r, angle, width, col)
    plot2d(%nan,%nan,-1,"031"," ",[-1,-1,1,1])
    arcs=[-r;r;2*r;2*r;(angle-width/2)*64;width*64];
    xfarcs(arcs,col)                                // Add sectors
    xtitle('COLORED SECTORS')
endfunction

// ---- MAIN ---- /
// Define sectors:
//----------------------
rad = [.9,.6,1,.5]                                  // Sector radii
angle = [0,135,225,270]                             // Sector midpoints
width = [45,75,60,80]                               // Sector widths
colors = [2,3,5,7]                                  // Color definitions
// Call subroutine:
//-----------------------
create_sectors(rad,angle,width,colors)
// ---- END MAIN ---- /
