// f-modulation2.sce
// Plots a sinusoidal function of the type
// s = A(t)(sin(wt+x(t)+phi)), where w = angular
// velocity, x(t) = frequency modulation, phi =
// phase shift, and A(t) = amplitude

clear, clc, clf;
f = 1;                          // Frequency
w = 2*%pi*f;
phi = %pi/4                     // Initial phase shift
fin = (4*%pi)/w;                // End of plot
t = linspace(0,fin,1000);
A = 2*exp(-t);
s = A.*sin(w*t + 10*t^2 + phi);
plot2d(t,s,5) 
xgrid()
xtitle('SINUSOIDAL PLOT')
xlabel('t')
ylabel('Amplitude')
