// f-modulation3.sce /
// Plots a sinusoidal function of the type          /
// s = A(t)(sin(wt+x(t)+phi)), where w = angular    /
// velocity, x(t) = frequency modulation, phi =     /
// phase shift, and A(t) = amplitude. Second        /
// plot for momentary frequency values              /

clear, clc, clf;
f = 1;                  // Frequency
w = 2*%pi*f;
phi = %pi/4;            // Initial phase shift
fin = (4*%pi)/w;        // End of plot
t = linspace(0,fin,1000);
A = 2*exp(-t);
s = A.*sin(w*t + 10*t^2 + phi);
f_mom = f + 10*t;       // Momentary frequency
plot(t,s,'r',t,f_mom,'b')
xgrid()
xtitle('SINUSOIDAL PLOT','t')
legend('s','f_mom',2)
