// file_exercise1.sce
// The script demonstrates the process of 1) creating a text file
// on Scilab, 2) closing it, 3) opening it again to be written into,
// 4) writing the actual data into the file, 5) reading certain
// pieces of data from the file, and 6) closing the read file,
// Notice that both close operations are necessary!

clear,clc;
// Create and open a text file for the exercise:
//-------------------------------------------------------------
fd = mopen('files/file_exercise1.txt','w');
// Create data and write into the exercise file:
//-------------------------------------------------------------
t = (1:1:18)';
// Integers from 1 to 18
mfprintf(fd,'%6.3f\n',t);
// Close exercise file:
//---------------------------
mclose(fd);
// Open the exercise file for reading:
//------------------------------------------------
fd = mopen('file_exercise1.txt','r');
// Read and format file contents:
//--------------------------------------------
contents = mfscanf(-1,fd,'%f')
// -1 means entire file contents
// Return position pointer to file beginning:
//----------------------------------------------------------
mseek(0,fd) // Following mfscanf(-1, , ) the pointer is at the enddisp(content)
// Read some data from the file:
//------------------------------------------
five_data = mfscanf(fd,'%f %f %f %f %f')
// First five data
three_data = mfscanf(fd, '%f %f %f')
// Next three data
[n,data_9,data_10,data_11] = mfscanf(fd,'%f %f %f') // Three specific..
// elements
// Close the file:
//--------------------
mclose(fd)
