// file_format_demo.sce                                         /
// Demonstrates the use of mfprintf() format definitions.       /
// Pay attention that with several variable to be printed,      /
// all formats are declared (inside a single pair of citation   /
// marks) before the variables are defined.

clear,clc;
// Create a new test file for writing:
//----------------------------------------
fd = mopen('files/file_format_demo.txt','w');

// Some variable to play with:
//---------------------------------
A = 123.45678901;
a = 0.3;
b = 1.23e-02;
c = a + %i*b;
text = 'Hello World';   
// Several outputs to be demonstrated:
//--------------------------------------------
mfprintf(fd,'%d\n %10d\n %20d\n %8.4f\t %8.4f\n %5.2f\t %5.2f\t %5.2f\n',...
A,A,A,A,A,A,A,A);
mfprintf(fd,'%d\n %f\t %e\n %10.3f\t %6.2f\n complex = %3.4f + i%3.4f\n\n',...
A,A,A,A,A, real(c), imag(c));
mfprintf(fd,'%e\t %5.2e\n %s\n %5s\t %10s\t %15s\t %20s\t\n',...
A,A, text, text, text, text, text);

// Close the opened file:
//--------------------------
mclose(fd);
