// grand_demo.sce                               /
// Plot histograms of Chi-square, exponential,  /
// and Poisson distributions with 10^5 draws    /
clear,clc,clf;
Chi=grand(100,1000,'chi',3) // Chi, 3 deg freedom
Exp=grand(100,1000,'exp',3) // Exponential, mean 3
Poi=grand(100,1000,'poi',3) // Poisson, mean 3
x = [0:.1:12];
subplot(131);
histplot(x,Chi,2)
legend(['Chi-square'])
subplot(132);
histplot(x,Exp,5)
legend(['Exponential'])
subplot(133);
histplot(x,Poi,13)
legend(['Poisson'])
