// **** SUBROUTINES **** //
// Declaration of initial plot in GUI:
//------------------------------ ---------------
function initial_GUI()
    t = linspace(0,7,200);
    w = 5;
    // Initial angular frequency
    plot2d(t,sin(w.*t),rect = [0,-1.1,7,1.1]);  // Initial plot w=5 rad/s
    a = gca();
    a.axes_bounds = [0.2,0,.8,1];               // Frame dimensions & location
    xtitle("GUI DEMO WITH sin (wt)","Time [s]","Amplitude");
    a.font_size = 3;                            // Axes mark size
    a.x_label.font_size = 3;                    // x_label size
    a.y_label.font_size = 3;                    // y_label size
    a.title.font_size = 3;                      // Title size
endfunction

xdel();
funcprot(0);

screen_size = get(0,"screensize_px");           // Find computer screen size
size_x = .7*screen_size(3);                     // .7*screensize_px 3rd element
size_y = .7*screen_size(4);                     // .7*screensize_px 4th element
h_graph = scf(0);
// Open Graphics Window
h_graph.figure_size = [size_x size_y];          // Define GW size
h_graph.figure_position =[size_x/5 size_y/6];  // Position GW in the...

// Add EXIT button:
//-------------------------
h_stop = uicontrol (h_graph,...
"style","pushbutton",...        // Declare pushbutton
"string","EXIT",...             // Pushbutton label
"fontsize",14,...
"backgroundColor",[1 0 0],...   // Red button RGB
"foregroundColor",[1 1 1],...   // White label RGB
"position",[85 size_y-210 50 50],...
"callback","xdel(0)");          // CLOSE GW if button pushed
// Field size & location
// Add radiobutton for graph style:

//---------------------------------------------
h_radio1 = uicontrol(h_graph,...        // Declare radiobutton"style","radiobutton",...
"style","radiobutton",...
"Min",0,...
"Max",1,...
"value",0,...                           // Initial button value
"backgroundColor",[1 1 1],...
"position",[10 size_y-350 20 20],...
"callback","update_radio()");           // GOTO to update_radio()
// Add radiobutton for graph color:
//----------------------------------------------
h_radio2 = uicontrol(h_graph,...
"style","radiobutton",...
"Min",0,...
"Max",1,...
"value",0,...
"backgroundColor",[1 1 1],...
"position",[10 size_y-380 20 20]);

h_slider= uicontrol( h_graph,...
"style","slider" ,...
"Min",0 ,...
"Max",100 ,...
"value",50 ,...
"position",[10 size_y-250 200 20] ,...
"callback", "update_slider();...
testo = strcat([''w = ''  string(h_slider.value/10) '' rad / s ''])");...
//h_text_slider.string=testo );


