// Plot the Bode diagram for the function       /
// G(s) = 100/((s-10)(s-90)). Use the normal    /
// logarithmic x                                /
// clear,clc,clf;                               /

clear,clc,clf;
w = logspace(-1,3,100);                                 // Define log scale for w
s = %i*w;                                               // Define imaginary s
G = 100../((s-10).*(s-90));                             // Define G(s)
y = 20*log10(abs(G));                                   // Define dB scale for y
plot2d(w,y,5,logflag='ln')                              // Plot y=f(w)
xtitle("Bode plot for G(s)=100/((s-10)(s-90))",..
"wlog scale","y, dB scale")
xgrid()                                                 // Add grid
