// spreadsheet_data_plot.sce                    /
// The script reads data from the test file     /
// file_spreadsheet_demo5.csv, determines its   /
// length,and plots its two measurement sets    /

clear,clc,clf;

// Open the file, determine number of rows,
// and form vectors of its columns:
//-----------------------------------------
data_file = fscanfMat('files/file_spreadsheet_demo5.csv');
// Opens text file
rows = size(data_file,'r');     // Determine number of rows
readings = data_file(:,1);      // Column 1, reading # (redundant)
outdoor = data_file(:,2);       // Column 2, outdoor temperature
indoor = data_file(:,3);        // Column 3, indoor temperature

// Assume outdoor temp always lower
// than indoor and form plot commands:
//---------------------------------------------
ymin = min(outdoor);
// Determine min temp
ymax = max(indoor);
// Determine max temp
dy = (ymax-ymin)/10;
// Define frame margin
rect = [0,ymin-dy,rows+1,ymax+dy]; // Define plot frame
x = linspace(1,rows,rows);
plot2d(x,indoor,5,'011',' ',rect) // Plot inodr temp
plot2d(x,outdoor,2,'000')
// Plot outdor temp
xgrid(1)
// Add grid
xtitle('TEMPERATURE MEASUREMENTS','Reading #',...
'Temperature, deg C')
legend('Indoor temp','Outdoor temp',4)
