// state_space.sce                          /
// Simulates a continuous-time state-space  /
// system model                             /

clear,clc;
A=[0,1;-1,-0.5];
B=[0;1];
C=[1,0];
D=[0];
x0=[0;0];
sys=syslin('c',A,B,C,D,x0);
t=[0:0.1:30];
u=0.5*ones(1,length(t));
// System matrices
// Initial state
// Create cont.-time ('c') system model
// Time vector
// Create constant input signal
[y,x]=csim(u,t,sys);                        // Compute with u=input, y=output, x=states
scf(1); clf;
                                            // Open and clear figure 1
plot(t,y);                                  // Plot response in y
xtitle('RESPONSE AT OUTPUT y','t');
ax1=gca(); ax1.grid=[2,5];                  // Handle: add grid to y-plot
scf(2); clf;                                // Open and clear figure 2
plot(t,x);                                  // Plot response in x
xtitle('RESPONSE OF STATE VARIABLES','t');  // Add legend to x-plot
legend('x','dx/dt',1);
ax1=gca(); ax1.grid=[2,5];                  // Handle: add grid to x-plot
