// subroutine1.sce                                      /
// Compute & plot the function y = x^2-x+1 in the       /
// range [-5,5] and determine its positive root.        /
// Assume we know the root lies in the range [1,2]      /
clear, clc, clf;
// SUBROUTINE para():
//------------------------------
function y=para(x);     // Subroutine declaration
y = x^2-x-1             // Equation (parabola))
endfunction
// MAIN script:
//-------------------
x = linspace(-5,5,100); // Range of interest
plot(x,para)            // Call subroutine and plot
xgrid;                  // Add grid
a=1; b=2;
while b-a > 10^(-4)
    c = (a+b)/2;
    if para(a)*para(c)>0 then
            // Search limits
            // Accuracy for searching root
            // Midpoint of limits
            // IF (lower)*(midpoint)
            // is positive
            // THEN change lower limit
        a=c;
        else
        b=c;
            // ELSE change upper limit
    end
end
disp("The root lies between ".. // Output root limits
+string(a)+" and "+string(b))
